org.apache.lucene.search.grouping

## Class AbstractGroupFacetCollector.GroupedFacetResult

- java.lang.Object
- - org.apache.lucene.search.grouping.AbstractGroupFacetCollector.GroupedFacetResult

Enclosing class:
  AbstractGroupFacetCollector

    public static class AbstractGroupFacetCollector.GroupedFacetResult
    extends Object

The grouped facet result. Containing grouped facet entries, total count and total missing count.

### Constructor Summary

Constructors
Constructor and Description
`AbstractGroupFacetCollector.GroupedFacetResult(int size, int minCount, boolean orderByCount, int totalCount, int totalMissingCount)`

### Method Summary

Methods
`void` `addFacetCount(BytesRef facetValue, int count)`
`List<AbstractGroupFacetCollector.FacetEntry>` `getFacetEntries(int offset, int limit)` Returns a list of facet entries to be rendered based on the specified offset and limit.
`int` `getTotalCount()` Returns the sum of all facet entries counts.
`int` `getTotalMissingCount()` Returns the number of groups that didn't have a facet value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractGroupFacetCollector.GroupedFacetResult

    public AbstractGroupFacetCollector.GroupedFacetResult(int size,
                                                  int minCount,
                                                  boolean orderByCount,
                                                  int totalCount,
                                                  int totalMissingCount)

### Method Detail

#### addFacetCount

    public void addFacetCount(BytesRef facetValue,
                     int count)

#### getFacetEntries

    public List<AbstractGroupFacetCollector.FacetEntry> getFacetEntries(int offset,
                                                               int limit)

Returns a list of facet entries to be rendered based on the specified offset and limit. The facet entries are retrieved from the facet entries collected during merging.

Parameters:
  `offset` - The offset in the collected facet entries during merging
  `limit` - The number of facets to return starting from the offset.
Returns:
  a list of facet entries to be rendered based on the specified offset and limit

#### getTotalCount

    public int getTotalCount()

Returns the sum of all facet entries counts.

Returns:
  the sum of all facet entries counts

#### getTotalMissingCount

    public int getTotalMissingCount()

Returns the number of groups that didn't have a facet value.

Returns:
  the number of groups that didn't have a facet value